<div *ngIf="currentPersona" class="edit-form">
  <h4>Tutorial</h4>
  <form>
    <div class="form-group">
      <select id="tipoDoc" class="form-control" name="tipoDoc"[(ngModel)]="currentPersona.tipoDoc">
        <option value="Carne de Extranjería">Carne de Extranjería</option>
        <option value="Pasaporte">Pasaporte</option>
        <option value="DNI">DNI</option>
      </select>
      <label for="nombre">Número de Documento</label>
      <input
        type="text"
        class="form-control"
        id="numeroDoc"
        required
        [(ngModel)]="currentPersona.numeroDoc"
        name="numeroDoc"
      />
      <label for="title">Nombre</label>
      <input
        type="text"
        class="form-control"
        id="nombre"
        [(ngModel)]="currentPersona.nombre"
        name="nombre"
      />
    </div>
    <div class="form-group">
      <label for="">Apellidos</label>
      <input
        class="form-control"
        id="apellidos"
        required
        [(ngModel)]="currentPersona.apellidos"
        name="apellidos"
      />
      <label for="">Fecha de Nacimiento</label>
      <br>
      <input
      class="form-control" 
      id="fechaNac"
      type="date" 
      name="fechaNac"
        [(ngModel)]="currentPersona.fechaNac"
      />  
      <label for="">Celular</label>
      <input
        class="form-control"
        id="numCelular"
        required
        [(ngModel)]="currentPersona.numCelular"
        name="numCelular"
      />
      <label for="">Teléfono</label>
      <input
        class="form-control"
        id="numTelf"
        required
        [(ngModel)]="currentPersona.numTelf"
        name="numTelf"
      />
      <label for="">Correo</label>
      <input
        class="form-control"
        id="correo"
        required
        [(ngModel)]="currentPersona.correo"
        name="correo"
      />
      <label for="">Dirección</label>
      <input
        class="form-control"
        id="direccion"
        required
        [(ngModel)]="currentPersona.direccion"
        name="direccion"
      />
      
    </div>
    <label><strong>Estado</strong></label>
    <select id="estado" class="form-control" name="estado"[(ngModel)]="currentPersona.estado">
      <option value="Con Síntomas">Con Síntomas</option>
        <option value="Con coronavirus">Con coronavirus</option>
    </select>
  </form>
  <br>
  <button class="btn btn-danger" (click)="deletePersona()">
    Eliminar
  </button>

  <button type="submit" class="btn btn-success" (click)="updatePersona()">
    Actualizar
  </button>
  <p>{{ message }}</p>
</div>

<div *ngIf="!currentPersona">
  <br />
  <p>Cannot access this Person...</p>
</div>
